package com.qmth.qrzk.repository.user.model;

public class PaperPaperBatch {
	private int batchId;
	
	private int paperId;
	
	private int isOutBoundScanned;
	
	private int isStorageScanned;
	
	private int isPaperReturn;
	
	private int isStandardAnswerReturn;
	
	private int isAnswerSheetReturn;
	
	private int isSeparatePaperReturn;	//分卷回库
	
	private int isWPaperReturn;	//网评卷回库
	
	private int isZyReturn;	//网评卷回库
	
	private int bookId;
	
	private String bookName;
	
	private String bookAuthor;
	
	private String bookPress;
	
	private String bookPressYear;
	
	private String school;
	
	private String remark;

	public int getIsWPaperReturn() {
		return isWPaperReturn;
	}

	public void setIsWPaperReturn(int isWPaperReturn) {
		this.isWPaperReturn = isWPaperReturn;
	}

	public int getIsSeparatePaperReturn() {
		return isSeparatePaperReturn;
	}

	public void setIsSeparatePaperReturn(int isSeparatePaperReturn) {
		this.isSeparatePaperReturn = isSeparatePaperReturn;
	}

	public int getIsStorageScanned() {
		return isStorageScanned;
	}

	public void setIsStorageScanned(int isStorageScanned) {
		this.isStorageScanned = isStorageScanned;
	}

	public int getIsStandardAnswerReturn() {
		return isStandardAnswerReturn;
	}

	public void setIsStandardAnswerReturn(int isStandardAnswerReturn) {
		this.isStandardAnswerReturn = isStandardAnswerReturn;
	}

	public int getIsPaperReturn() {
		return isPaperReturn;
	}

	public void setIsPaperReturn(int isPaperReturn) {
		this.isPaperReturn = isPaperReturn;
	}

	public int getIsStandadAnswerReturn() {
		return isStandardAnswerReturn;
	}

	public void setIsStandadAnswerReturn(int isStandadAnswerReturn) {
		this.isStandardAnswerReturn = isStandadAnswerReturn;
	}

	public int getIsAnswerSheetReturn() {
		return isAnswerSheetReturn;
	}

	public void setIsAnswerSheetReturn(int isAnswerSheetReturn) {
		this.isAnswerSheetReturn = isAnswerSheetReturn;
	}

	public int getBatchId() {
		return batchId;
	}

	public void setBatchId(int batchId) {
		this.batchId = batchId;
	}

	public int getPaperId() {
		return paperId;
	}

	public void setPaperId(int paperId) {
		this.paperId = paperId;
	}

	public int getIsOutBoundScanned() {
		return isOutBoundScanned;
	}

	public void setIsOutBoundScanned(int isOutBoundScanned) {
		this.isOutBoundScanned = isOutBoundScanned;
	}

	public int getBookId() {
		return bookId;
	}

	public void setBookId(int bookId) {
		this.bookId = bookId;
	}

	public String getBookName() {
		return bookName;
	}

	public void setBookName(String bookName) {
		this.bookName = bookName;
	}

	public String getBookAuthor() {
		return bookAuthor;
	}

	public void setBookAuthor(String bookAuthor) {
		this.bookAuthor = bookAuthor;
	}

	public String getBookPress() {
		return bookPress;
	}

	public void setBookPress(String bookPress) {
		this.bookPress = bookPress;
	}

	public String getBookPressYear() {
		return bookPressYear;
	}

	public void setBookPressYear(String bookPressYear) {
		this.bookPressYear = bookPressYear;
	}

	public String getSchool() {
		return school;
	}

	public void setSchool(String school) {
		this.school = school;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}
	
	public int getIsZyReturn() {
		return isZyReturn;
	}

	public void setIsZyReturn(int isZyReturn) {
		this.isZyReturn = isZyReturn;
	}

	public PaperPaperBatch() {
		super();
		// TODO Auto-generated constructor stub
	}

	public PaperPaperBatch(int paperBathId, int paperId, int isOutBoundScanned,
			int isStoreageScanned, int bookId, String bookName,
			String bookAuthor, String bookPress, String bookPressYear,
			String school, String remark) {
		super();
		this.batchId = paperBathId;
		this.paperId = paperId;
		this.isOutBoundScanned = isOutBoundScanned;
		this.isStorageScanned = isStoreageScanned;
		this.bookId = bookId;
		this.bookName = bookName;
		this.bookAuthor = bookAuthor;
		this.bookPress = bookPress;
		this.bookPressYear = bookPressYear;
		this.school = school;
		this.remark = remark;
	}

//	public PaperPaperBatch(int paperBathId, int paperId, int bookId,
//			String bookName, String bookAuthor, String bookPress,
//			String bookPressYear, String school, String remark) {
//		super();
//		this.paperBathId = paperBathId;
//		this.paperId = paperId;
//		this.bookId = bookId;
//		this.bookName = bookName;
//		this.bookAuthor = bookAuthor;
//		this.bookPress = bookPress;
//		this.bookPressYear = bookPressYear;
//		this.school = school;
//		this.remark = remark;
//	}
	
	

	public PaperPaperBatch(int paperBathId, int paperId, int isOutBoundScanned,
			int isStorageScanned, int isPaperReturn,
			int isStandardAnswerReturn, int isAnswerSheetReturn, int bookId,
			String bookName, String bookAuthor, String bookPress,
			String bookPressYear, String school, String remark) {
		super();
		this.batchId = paperBathId;
		this.paperId = paperId;
		this.isOutBoundScanned = isOutBoundScanned;
		this.isStorageScanned = isStorageScanned;
		this.isPaperReturn = isPaperReturn;
		this.isStandardAnswerReturn = isStandardAnswerReturn;
		this.isAnswerSheetReturn = isAnswerSheetReturn;
		this.bookId = bookId;
		this.bookName = bookName;
		this.bookAuthor = bookAuthor;
		this.bookPress = bookPress;
		this.bookPressYear = bookPressYear;
		this.school = school;
		this.remark = remark;
	}

	public PaperPaperBatch(int isOutBoundScanned, int isStorageScanned,
			int isPaperReturn, int isStandardAnswerReturn,
			int isAnswerSheetReturn) {
		super();
		this.isOutBoundScanned = isOutBoundScanned;
		this.isStorageScanned = isStorageScanned;
		this.isPaperReturn = isPaperReturn;
		this.isStandardAnswerReturn = isStandardAnswerReturn;
		this.isAnswerSheetReturn = isAnswerSheetReturn;
	}

	public PaperPaperBatch(int paperBathId, int paperId, int isOutBoundScanned,
			int isStorageScanned, int isPaperReturn,
			int isStandardAnswerReturn, int isAnswerSheetReturn) {
		super();
		this.batchId = paperBathId;
		this.paperId = paperId;
		this.isOutBoundScanned = isOutBoundScanned;
		this.isStorageScanned = isStorageScanned;
		this.isPaperReturn = isPaperReturn;
		this.isStandardAnswerReturn = isStandardAnswerReturn;
		this.isAnswerSheetReturn = isAnswerSheetReturn;
	}
}
